---
description: Working your way through the anytype primitives
---

# Overview

<figure><img src="../.gitbook/assets/Anytype Primitives - Frame 2-2.jpg" alt=""><figcaption></figcaption></figure>

Getting the most out of Anytype means getting comfortable with the basic terminology and how each piece fits together. These primitives are the components you'll use to create everything from simple notes, to complex dashboards, and ultimately - your own little web.

These include:

* [space.md](../basics/space.md "mention"): The container for your graph of objects - in beta stage, this is equivalent to your account. Future versions of Anytype will permit multiple spaces with different access controls.
* [object-editor](../basics/object-editor/ "mention"): Building blocks of Anytype. They represent the smallest linkable components in your account; each object is a node in your graph.
* [blocks.md](../basics/object-editor/blocks.md "mention"): A container for actual content inside Objects. Their behavior is defined by their Block Type.
* [types](../basics/types/ "mention"): Classification system for objects. All objects must have a type.
* [layouts.md](../basics/types/layouts.md "mention"): Defines the general look and feel of the Object and determines what actions can be taken for the Object.
* [templates](../basics/types/templates/ "mention"): Saved content formats for specific Types that can be applied upon Object creation. Templates are specific to types, while types can have multiple templates.
* [relations](../basics/relations/ "mention"): Object connectors; either via shared properties or defined links.
* [anytype-library](../basics/anytype-library/ "mention"): The place where all of your Types and Relations live.
* [linking-objects.md](../anytype-basics/object-editor/linking-objects.md "mention"): For creating connections between objects either through relations or directly.
* [graph.md](../basics/graph.md "mention"): A non-hierarchical data structure containing all objects you've ever created in a space, and their connections to each other.
* [sets](../basics/sets/ "mention"): Live query of all Objects which share a common characteristic (ie: Type or Relation).
* [collections.md](../basics/collections.md "mention"): Manually created compilation of multiple objects within a single one.&#x20;
